package com.gxzc.zen.api.sys.service.impl

import com.baomidou.mybatisplus.service.impl.ServiceImpl
import com.gxzc.zen.api.bus.model.MgrFonds
import com.gxzc.zen.api.bus.service.IMgrFondsService
import com.gxzc.zen.api.sys.mapper.SysDeptMapper
import com.gxzc.zen.api.sys.model.SysDept
import com.gxzc.zen.api.sys.service.ISysDeptService
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Service
import org.springframework.transaction.annotation.Transactional

/**
 * <p>
 * 部门管理 服务实现类
 * </p>
 *
 * @author NorthLan123
 * @since 2018-01-31
 */
@Service
open class SysDeptServiceImpl : ServiceImpl<SysDeptMapper, SysDept>(), ISysDeptService {

    @Autowired
    lateinit var mgrFondsService: IMgrFondsService

    @Transactional
    override fun testTransaction() {
        baseMapper.insert(SysDept().also {
            it.principal = "2333"
            it.deptName = "1"
            it.sort = 1
        })

        mgrFondsService.insert(MgrFonds().also {
            it.fondsNo = "1"
            it.fondsName = "name"
        })
//        throw RuntimeException("test")
    }

}
